Debian Bug report logs - #633479
ICE: gcc-4.6: ICE on armel+armhf with mksh, on armhf with oss4-4.2-build2004-1

version graph

Package: gcc-4.6; Maintainer for gcc-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-4.6 is src:gcc-4.6.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Sun, 10 Jul 2011 17:21:02 UTC

Severity: serious

Tags: patch, upstream

Merged with 633469

Found in version gcc-4.6/4.6.1-2

Fixed in version gcc-4.6/4.6.2-6

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR49030

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633479; Package gcc-4.6. (Sun, 10 Jul 2011 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 10 Jul 2011 17:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: ICE: gcc-4.6: ICE on armhf with oss4-4.2-build2004-1
Date: Sun, 10 Jul 2011 20:17:46 +0300
[Message part 1 (text/plain, inline)]
Package: gcc-4.6
Version: 4.6.1-2
Severity: important

Hi,

gcc fails with an ICE on package oss4 on armhf:

http://buildd.debian-ports.org/status/fetch.php?pkg=oss4&arch=armhf&ver=4.2-build2004-1&stamp=1310086627

Attached is the smallest trimmed down file that is able to reproduce the ICE:

$ gcc-4.6 -O ossplay_decode_pre.new.c -c -o ossplay_decode_pre.o
ossplay_decode_pre.new.c: In function ‘decode_amplify’:
ossplay_decode_pre.new.c:148:1: internal compiler error: in
get_arm_condition_code, at config/arm/arm.c:17152
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.

Regards

Konstantinos
[ossplay_decode_testcase.c (text/x-csrc, attachment)]

Set Bug forwarded-to-address to 'http://gcc.gnu.org/PR49030'. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 23 Jul 2011 07:45:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 23 Jul 2011 07:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633479; Package gcc-4.6. (Wed, 26 Oct 2011 07:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 26 Oct 2011 07:15:06 GMT) Full text and rfc822 format available.

Message #14 received at 633479@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 633479@bugs.debian.org
Subject: Re: failed armel build of mksh 40.2-3
Date: Wed, 26 Oct 2011 07:00:48 +0000 (UTC)
Hi,

probably the same problem, on armel instead:

Debian buildds dixit:

> * Source package: mksh
> * Version: 40.2-3
> * Architecture: armel
> * State: failed
> * Suite: sid
> * Builder: antheil.debian.org
> * Build log: https://buildd.debian.org/fetch.cgi?pkg=mksh&arch=armel&ver=40.2-3&stamp=1319588488&file=log

gcc -g -O2 -fPIE -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wextra -fno-strict-aliasing -fstack-protector-all -fwrapv -flto=jobserver -std=gnu99 -I. -I'../..' -D_FORTIFY_SOURCE=2 -DMKSH_BINSHREDUCED -D_GNU_SOURCE -DSETUID_CAN_FAIL_WITH_EAGAIN -DHAVE_ATTRIBUTE_BOUNDED=0 -DHAVE_ATTRIBUTE_FORMAT=1 -DHAVE_ATTRIBUTE_NONNULL=1 -DHAVE_ATTRIBUTE_NORETURN=1 -DHAVE_ATTRIBUTE_UNUSED=1 -DHAVE_ATTRIBUTE_USED=1 -DHAVE_SYS_BSDTYPES_H=0 -DHAVE_SYS_FILE_H=1 -DHAVE_SYS_MKDEV_H=0 -DHAVE_SYS_MMAN_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_SYS_SYSMACROS_H=1 -DHAVE_BSTRING_H=0 -DHAVE_GRP_H=1 -DHAVE_LIBGEN_H=1 -DHAVE_LIBUTIL_H=0 -DHAVE_PATHS_H=1 -DHAVE_STDINT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_ULIMIT_H=1 -DHAVE_VALUES_H=1 -D_FILE_OFFSET_BITS=64 -DHAVE_CAN_INTTYPES=1 -DHAVE_CAN_UCBINTS=1 -DHAVE_CAN_INT8TYPE=1 -DHAVE_CAN_UCBINT8=1 -DHAVE_RLIM_T=1 -DHAVE_SIG_T=1 -DHAVE_SYS_SIGNAME=0 -DHAVE_SYS_SIGLIST=1 -DHAVE_STRSIGNAL=0 -DHAVE_GETRUSAGE=1 -DHAVE_KILLPG=1 -DHAVE_MKNOD=0 -DHAVE_MKSTEMP=1 -DHAVE_NICE=1 -DHAVE_REVOKE=0 -DHAVE_SETLOCALE_CTYPE=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_SELECT=1 -DHAVE_SETRESUGID=1 -DHAVE_SETGROUPS=1 -DHAVE_STRCASESTR=1 -DHAVE_STRLCPY=0 -DHAVE_FLOCK_DECL=0 -DHAVE_REVOKE_DECL=1 -DHAVE_SYS_SIGLIST_DECL=1 -DHAVE_PERSISTENT_HISTORY=1 -DMKSH_PRINTF_BUILTIN -c ../../exec.c
../../histrap.c: In function 'writehistfile':
../../histrap.c:1037:1: internal compiler error: in get_arm_condition_code, at config/arm/arm.c:17152
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.
Preprocessed source stored into /tmp/ccYmtFk6.out file, please attach this to your bugreport.

(Obviously I don’t have ready access to that file.)

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Added indication that 633479 affects mksh Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Thu, 03 Nov 2011 20:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ICE: gcc-4.6: ICE on armel+armhf with mksh, on armhf with oss4-4.2-build2004-1' from 'ICE: gcc-4.6: ICE on armhf with oss4-4.2-build2004-1' Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Thu, 03 Nov 2011 20:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633479; Package gcc-4.6. (Wed, 23 Nov 2011 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 23 Nov 2011 11:39:27 GMT) Full text and rfc822 format available.

Message #23 received at 633479@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: doko@debian.org, 633479@bugs.debian.org
Cc: tg@mirbsd.de, markos@genesi-usa.com
Subject: Re: Bug#633479: ICE: gcc-4.6: ICE on armhf with oss4-4.2-build2004-1
Date: Wed, 23 Nov 2011 11:37:05 +0000
[Message part 1 (text/plain, inline)]
tag 633479 + patch
user debian-arm@lists.debian.org
usertags 633479 + eabi
usertags 633479 + armhf
thanks

Hello,

On Sun, Jul 10, 2011 at 08:17:46PM +0300, Konstantinos Margaritis wrote:
> Package: gcc-4.6
> Version: 4.6.1-2
> Severity: important
> 
> Hi,
> 
> gcc fails with an ICE on package oss4 on armhf:
> 
> http://buildd.debian-ports.org/status/fetch.php?pkg=oss4&arch=armhf&ver=4.2-build2004-1&stamp=1310086627
> 
> Attached is the smallest trimmed down file that is able to reproduce the ICE:
> 
> $ gcc-4.6 -O ossplay_decode_pre.new.c -c -o ossplay_decode_pre.o
> ossplay_decode_pre.new.c: In function ‘decode_amplify’:
> ossplay_decode_pre.new.c:148:1: internal compiler error: in
> get_arm_condition_code, at config/arm/arm.c:17152
> Please submit a full bug report,
> with preprocessed source if appropriate.
> See <file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.

  I have backported fix for PR49030 from upstream trunk to gcc-4.6 Debian package. (Note the backport fails to apply on gcc-4.5), let me know if it is worth to port it.
  I have built a compiler for armel and armhf successfully which has lead me to successful builds for oss4 on armhf:
    =>  dpkg-genchanges  >../oss4_4.2-build2005-1_armhf.changes

  I am currently building mksh on armhf and it does not seem to show the ICE.

  Please consider adding this fix for PR49030 on next upload.

Cheers,
-- 
 Héctor Orón
[633479-PR49030.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 23 Nov 2011 11:40:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633479; Package gcc-4.6. (Wed, 23 Nov 2011 11:42:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 23 Nov 2011 11:43:16 GMT) Full text and rfc822 format available.

Message #30 received at 633479@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 633479@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.de>
Subject: gcc-4.6: ICE: fixed mksh
Date: Wed, 23 Nov 2011 11:41:10 +0000
Hi,

  Just as quick note, mksh has been built successfully too.

-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Severity set to 'serious' from 'important' Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Thu, 24 Nov 2011 23:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633479; Package gcc-4.6. (Thu, 24 Nov 2011 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 24 Nov 2011 23:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 633479@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 633479@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.de>, Debian GCC Maintainers <debian-gcc@lists.debian.org>
Subject: Re: Processed: blocks mksh on armel; also 2 pkgs on armhf which is a release arch now
Date: Thu, 24 Nov 2011 23:33:25 +0000
[and now with a CC to the bug *sigh*]

On Thu, 2011-11-24 at 23:27 +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > severity 633479 serious
> Bug #633479 [gcc-4.6] ICE: gcc-4.6: ICE on armel+armhf with mksh, on armhf with oss4-4.2-build2004-1
> Severity set to 'serious' from 'important'

For reference, armhf is not yet a release architecture.  It's not even
in testing, which would be a minimal requirement.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633479; Package gcc-4.6. (Wed, 30 Nov 2011 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 30 Nov 2011 22:27:04 GMT) Full text and rfc822 format available.

Message #42 received at 633479@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 633479@bugs.debian.org
Cc: Héctor Orón <zumbi@debian.org>
Subject: status? gcc-4.6: ICE on armel+armhf
Date: Wed, 30 Nov 2011 22:11:28 +0000 (UTC)
Hi,

what’s the status on this? I’m considering an NMU if this
does not get fixed some time soon.

(Thanks Héctor for validating the backport.)

bye,
//mirabilos
-- 
Solange man keine schmutzigen Tricks macht, und ich meine *wirklich*
schmutzige Tricks, wie bei einer doppelt verketteten Liste beide
Pointer XORen und in nur einem Word speichern, funktioniert Boehm ganz
hervorragend.		-- Andreas Bogk über boehm-gc in d.a.s.r




Forcibly Merged 633469 633479. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 16:09:05 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 09 Dec 2011 00:36:05 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 09 Dec 2011 00:36:05 GMT) Full text and rfc822 format available.

Message #49 received at 633479-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 633479-close@bugs.debian.org
Subject: Bug#633479: fixed in gcc-4.6 4.6.2-6
Date: Fri, 09 Dec 2011 00:33:25 +0000
Source: gcc-4.6
Source-Version: 4.6.2-6

We believe that the bug you reported is fixed in the latest version of
gcc-4.6, which is due to be installed in the Debian FTP archive:

cpp-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/cpp-4.6_4.6.2-6_amd64.deb
fixincludes_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/fixincludes_4.6.2-6_amd64.deb
g++-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/g++-4.6-multilib_4.6.2-6_amd64.deb
g++-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/g++-4.6_4.6.2-6_amd64.deb
gcc-4.6-base_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-base_4.6.2-6_amd64.deb
gcc-4.6-locales_4.6.2-6_all.deb
  to main/g/gcc-4.6/gcc-4.6-locales_4.6.2-6_all.deb
gcc-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-multilib_4.6.2-6_amd64.deb
gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
gcc-4.6-source_4.6.2-6_all.deb
  to main/g/gcc-4.6/gcc-4.6-source_4.6.2-6_all.deb
gcc-4.6_4.6.2-6.diff.gz
  to main/g/gcc-4.6/gcc-4.6_4.6.2-6.diff.gz
gcc-4.6_4.6.2-6.dsc
  to main/g/gcc-4.6/gcc-4.6_4.6.2-6.dsc
gcc-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6_4.6.2-6_amd64.deb
gccgo-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gccgo-4.6-multilib_4.6.2-6_amd64.deb
gccgo-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gccgo-4.6_4.6.2-6_amd64.deb
gfortran-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gfortran-4.6-multilib_4.6.2-6_amd64.deb
gfortran-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gfortran-4.6_4.6.2-6_amd64.deb
gobjc++-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc++-4.6-multilib_4.6.2-6_amd64.deb
gobjc++-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc++-4.6_4.6.2-6_amd64.deb
gobjc-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc-4.6-multilib_4.6.2-6_amd64.deb
gobjc-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc-4.6_4.6.2-6_amd64.deb
lib32gcc1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gcc1-dbg_4.6.2-6_amd64.deb
lib32gcc1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gcc1_4.6.2-6_amd64.deb
lib32gfortran3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gfortran3-dbg_4.6.2-6_amd64.deb
lib32gfortran3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gfortran3_4.6.2-6_amd64.deb
lib32go0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32go0-dbg_4.6.2-6_amd64.deb
lib32go0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32go0_4.6.2-6_amd64.deb
lib32gomp1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gomp1-dbg_4.6.2-6_amd64.deb
lib32gomp1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gomp1_4.6.2-6_amd64.deb
lib32mudflap0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32mudflap0-dbg_4.6.2-6_amd64.deb
lib32mudflap0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32mudflap0_4.6.2-6_amd64.deb
lib32objc3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32objc3-dbg_4.6.2-6_amd64.deb
lib32objc3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32objc3_4.6.2-6_amd64.deb
lib32quadmath0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32quadmath0-dbg_4.6.2-6_amd64.deb
lib32quadmath0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32quadmath0_4.6.2-6_amd64.deb
lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
lib32stdc++6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32stdc++6_4.6.2-6_amd64.deb
libgcc1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgcc1-dbg_4.6.2-6_amd64.deb
libgcc1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgcc1_4.6.2-6_amd64.deb
libgfortran3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgfortran3-dbg_4.6.2-6_amd64.deb
libgfortran3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgfortran3_4.6.2-6_amd64.deb
libgo0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgo0-dbg_4.6.2-6_amd64.deb
libgo0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgo0_4.6.2-6_amd64.deb
libgomp1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgomp1-dbg_4.6.2-6_amd64.deb
libgomp1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgomp1_4.6.2-6_amd64.deb
libmudflap0-4.6-dev_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libmudflap0-4.6-dev_4.6.2-6_amd64.deb
libmudflap0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libmudflap0-dbg_4.6.2-6_amd64.deb
libmudflap0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libmudflap0_4.6.2-6_amd64.deb
libobjc3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libobjc3-dbg_4.6.2-6_amd64.deb
libobjc3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libobjc3_4.6.2-6_amd64.deb
libquadmath0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libquadmath0-dbg_4.6.2-6_amd64.deb
libquadmath0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libquadmath0_4.6.2-6_amd64.deb
libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
libstdc++6-4.6-dev_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dev_4.6.2-6_amd64.deb
libstdc++6-4.6-doc_4.6.2-6_all.deb
  to main/g/gcc-4.6/libstdc++6-4.6-doc_4.6.2-6_all.deb
libstdc++6-4.6-pic_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-pic_4.6.2-6_amd64.deb
libstdc++6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6_4.6.2-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 Dec 2011 17:14:35 +0100
Source: gcc-4.6
Binary: gcc-4.6-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.6 gcc-4.6-multilib gcc-4.6-plugin-dev gcc-4.6-hppa64 gcc-4.6-spu g++-4.6-spu gfortran-4.6-spu cpp-4.6 gcc-4.6-locales g++-4.6 g++-4.6-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.6-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg libquadmath0 libquadmath0-dbg lib32quadmath0 lib32quadmath0-dbg lib64quadmath0 lib64quadmath0-dbg libn32quadmath0 libn32quadmath0-dbg gobjc++-4.6 gobjc++-4.6-multilib gobjc-4.6 gobjc-4.6-multilib libobjc3 libobjc3-dbg lib64objc3 lib64objc3-dbg lib32objc3 lib32objc3-dbg libn32objc3 libn32objc3-dbg gfortran-4.6 gfortran-4.6-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg
 libn32gfortran3 libn32gfortran3-dbg gccgo-4.6 gccgo-4.6-multilib libgo0 libgo0-dbg lib64go0 lib64go0-dbg lib32go0 lib32go0-dbg libn32go0 libn32go0-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.6-dev libstdc++6-4.6-pic libstdc++6-4.6-dbg lib32stdc++6-4.6-dbg lib64stdc++6-4.6-dbg libn32stdc++6-4.6-dbg libstdc++6-4.6-doc gcc-4.6-soft-float fixincludes
 gcc-4.6-source
Architecture: source all amd64
Version: 4.6.2-6
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.6    - GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.6    - GNU C++ compiler
 g++-4.6-multilib - GNU C++ compiler (multilib files)
 g++-4.6-spu - SPU cross-compiler (C++ compiler)
 gcc-4.6    - GNU C compiler
 gcc-4.6-base - GCC, the GNU Compiler Collection (base package)
 gcc-4.6-hppa64 - GNU C compiler (cross compiler for hppa64)
 gcc-4.6-locales - GCC, the GNU compiler collection (native language support files)
 gcc-4.6-multilib - GNU C compiler (multilib files)
 gcc-4.6-plugin-dev - Files for GNU GCC plugin development.
 gcc-4.6-soft-float - GCC soft-floating-point gcc libraries (ARM)
 gcc-4.6-source - Source of the GNU Compiler Collection
 gcc-4.6-spu - SPU cross-compiler (preprocessor and C compiler)
 gccgo-4.6  - GNU Go compiler
 gccgo-4.6-multilib - GNU Go compiler (multilib files)
 gfortran-4.6 - GNU Fortran 95 compiler
 gfortran-4.6-multilib - GNU Fortran 95 compiler (multilib files)
 gfortran-4.6-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.6 - GNU Objective-C++ compiler
 gobjc++-4.6-multilib - GNU Objective-C++ compiler (multilib files)
 gobjc-4.6  - GNU Objective-C compiler
 gobjc-4.6-multilib - GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32go0   - Runtime library for GNU Go applications (32bit)
 lib32go0-dbg - Runtime library for GNU Go applications (32 bit debug symbols)
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc3 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc3-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32quadmath0 - GCC Quad-Precision Math Library (32bit)
 lib32quadmath0-dbg - GCC Quad-Precision Math Library (32 bit debug symbols)
 lib32stdc++6 - GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64go0   - Runtime library for GNU Go applications (64bit)
 lib64go0-dbg - Runtime library for GNU Go applications (64bit debug symbols)
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc3 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc3-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64quadmath0 - GCC Quad-Precision Math Library  (64bit)
 lib64quadmath0-dbg - GCC Quad-Precision Math Library  (64bit debug symbols)
 lib64stdc++6 - GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgo0     - Runtime library for GNU Go applications
 libgo0-dbg - Runtime library for GNU Go applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.6-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32go0  - Runtime library for GNU Go applications (n32)
 libn32go0-dbg - Runtime library for GNU Go applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc3 - Runtime library for GNU Objective-C applications (n32)
 libn32objc3-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32quadmath0 - GCC Quad-Precision Math Library (n32)
 libn32quadmath0-dbg - GCC Quad-Precision Math Library (n32 debug symbols)
 libn32stdc++6 - GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libobjc3   - Runtime library for GNU Objective-C applications
 libobjc3-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libquadmath0 - GCC Quad-Precision Math Library
 libquadmath0-dbg - GCC Quad-Precision Math Library (debug symbols)
 libstdc++6 - GNU Standard C++ Library v3
 libstdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.6-dev - GNU Standard C++ Library v3 (development files)
 libstdc++6-4.6-doc - GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.6-pic - GNU Standard C++ Library v3 (shared library subset kit)
Closes: 622699 633479 635126 642127 650318
Changes: 
 gcc-4.6 (4.6.2-6) unstable; urgency=low
 .
   * Update to SVN 20111208 (r182120) from the gcc-4_6-branch.
     - Fix PR c++/51265, PR bootstrap/50888, PR target/51393 (ix86),
       PR target/51002 (AVR), PR target/51345 (AVR), PR debug/48190,
       PR fortran/50684, PR fortran/51218, PR target/50906 (closes: #650318),
       PR tree-optimization/51315 (closes: #635126), PR tree-optimization/50622,
       PR fortran/51435, PR debug/51410, PR c/51339, PR rtl-optimization/48721,
       PR middle-end/51323 (LP: #897583), PR middle-end/50074,
       PR middle-end/50074.
 .
   [ Matthias Klose ]
   * Run the libstdc++ testsuite on all architectures again. Closes: #622699.
   * Apply proposed patch for PR target/50906 (powerpcspe only). Closes: #650318.
   * Fix PR target/49030 (ARM), taken from Linaro. Closes: #633479.
   * Fix PR target/50193 (ARM), taken from Linaro. Closes: #642127.
   * Install the libstdc++.so-gdb.py file. LP: #883269.
   * Fix PR c++/50114, backport from trunk. LP: #827806.
   * Merge changes to allow gcc-snapshot cross builds, taken from Linaro.
   * Update the Linaro support to the 4.6 branch.
 .
   [ Marcin Juszkiewicz ]
   * Fix issues with gcc-snapshot cross builds.
   * Allow building Linaro binary packages in a single package.
   * Apply hardening patches for cross builds when enabled for native builds.
Checksums-Sha1: 
 d8a7eadb099b2f41ff279cd1d20671a83202bda5 7207 gcc-4.6_4.6.2-6.dsc
 8e1fc07449ab2658dd3a361b8ac853529a87e45b 953144 gcc-4.6_4.6.2-6.diff.gz
 072fee4d1e19efd57d15b3d93790393fb0eebb59 57918182 gcc-4.6-source_4.6.2-6_all.deb
 dacf6e2221d925eba61cbc7f6f141f86641374ad 3713220 libstdc++6-4.6-doc_4.6.2-6_all.deb
 8b35515d35691bb9d2adc7f0cfbdf804efdbf65f 2637240 gcc-4.6-locales_4.6.2-6_all.deb
 38631b7b17d6e790eebccc2428d0eefb3385b329 136892 gcc-4.6-base_4.6.2-6_amd64.deb
 7770d8cecb670cb03975c2b23c6b5e5c2efc98e5 42920 libgcc1_4.6.2-6_amd64.deb
 ceecb4b2c8cdb6129eca676338ee948a14695eb4 92876 libgcc1-dbg_4.6.2-6_amd64.deb
 c5b60d3b3ac9b8826565f5245bc480235293b86d 54116 lib32gcc1_4.6.2-6_amd64.deb
 a9be309f70c886659d5c763caa280b38edabb21b 98326 lib32gcc1-dbg_4.6.2-6_amd64.deb
 55512a6fea620b43548cb05ac713c596277878ff 126082 libquadmath0_4.6.2-6_amd64.deb
 009d6e4a82602480fedf9766582c0d8c557b7ae4 149966 libquadmath0-dbg_4.6.2-6_amd64.deb
 c38c0a9f2a3518c57ab1e85737f95beeac944467 195282 lib32quadmath0_4.6.2-6_amd64.deb
 a9555213a00ed032ea2d2fc4ad0cd850a99b984e 169418 lib32quadmath0-dbg_4.6.2-6_amd64.deb
 00cc38d97bfeedf5984b025451058743e6dafa19 25722 libgomp1_4.6.2-6_amd64.deb
 98b5f670248a07a82d73e897efc43eaa4b5a2a54 62558 libgomp1-dbg_4.6.2-6_amd64.deb
 09d45caacca09f8aaae1f8b4af9fb0bb716bbf92 28462 lib32gomp1_4.6.2-6_amd64.deb
 ecc14056f454d2fac0e1dea174a0a53914be691f 62566 lib32gomp1-dbg_4.6.2-6_amd64.deb
 1c372aefdf18e8f59b3523427fbf7e564b99dd2f 4821482 cpp-4.6_4.6.2-6_amd64.deb
 fe9e56ce6d1db714eb0f6eb25ce15d9ac0026c69 65546 fixincludes_4.6.2-6_amd64.deb
 a7e6a0551735692a12eef33a18af5ec9427eb81b 218614 libmudflap0-4.6-dev_4.6.2-6_amd64.deb
 4f2501684eded51e7fbe9a39165b64d745518f3f 97888 libmudflap0_4.6.2-6_amd64.deb
 5aa0ae7cb36400520a5c5c284ffa69bac368d7e7 133438 libmudflap0-dbg_4.6.2-6_amd64.deb
 949018860edf07cb87fff34705f78614e98694b5 88060 lib32mudflap0_4.6.2-6_amd64.deb
 823461f4d6666c4de43103a148298a78a033f56f 118086 lib32mudflap0-dbg_4.6.2-6_amd64.deb
 b4b9cd144d3d37be88064f350050c15990b18d8b 870 gobjc++-4.6-multilib_4.6.2-6_amd64.deb
 a9ee2517fa73a8037ae9aa8f2bb6a3fd78803f89 5171786 gobjc++-4.6_4.6.2-6_amd64.deb
 414a95ef065d54845deae1acfa824f02e89d1647 199736 gobjc-4.6-multilib_4.6.2-6_amd64.deb
 d023dd4198ce2372e07c56b9dd43b2783bf2cdd8 5026214 gobjc-4.6_4.6.2-6_amd64.deb
 76ffd7e91b965dfecde11a5215fd55f71c17dd0e 184954 libobjc3_4.6.2-6_amd64.deb
 d0fd75c52645c7b1fa263385005dbcc308311aa8 361706 libobjc3-dbg_4.6.2-6_amd64.deb
 c5c493736e13693a318222b394283648ac66d40f 183330 lib32objc3_4.6.2-6_amd64.deb
 f1b14a3eb00c58dd3a33e7a3f23a1d6510e456d7 331660 lib32objc3-dbg_4.6.2-6_amd64.deb
 48cfe7792bc23138b8375421fc5bc415fceed12d 2308780 libgo0_4.6.2-6_amd64.deb
 9e2b1c4d7dfaface6295143223a40aff91ac93b4 2047694 libgo0-dbg_4.6.2-6_amd64.deb
 f4a52c0f9c2918b9b975264d078c31a6677826b2 2104504 lib32go0_4.6.2-6_amd64.deb
 489e636a2f37f001a7dd973cd9d72ff0e87721fd 1574392 lib32go0-dbg_4.6.2-6_amd64.deb
 a88e8a1b31e2ce98ae1514f2d823d7e10d79efcc 8142138 gccgo-4.6_4.6.2-6_amd64.deb
 6f0fbcd7d01ac689228da63efa3c17104571d055 2802962 gccgo-4.6-multilib_4.6.2-6_amd64.deb
 30a334e96a28620a1ee914cc58a8057871081b1f 1012826 g++-4.6-multilib_4.6.2-6_amd64.deb
 8ca314311ef9a2b101c26cea6752292c4106edf6 6962986 g++-4.6_4.6.2-6_amd64.deb
 c4d7820be294f8bc95bb5f8d512e0538bf24e94e 330534 libstdc++6_4.6.2-6_amd64.deb
 d4c9c973f3bf417102cae0f401e30bc6d540a152 343464 lib32stdc++6_4.6.2-6_amd64.deb
 559c5a66c789ecf19ae3c5ac9424205860d8ee16 7960794 lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
 10f27766b31235d819a5997d569993f4d9591ac3 1661812 libstdc++6-4.6-dev_4.6.2-6_amd64.deb
 419bac4dcc497f3a98683a0cb416843f65cb5e2d 502804 libstdc++6-4.6-pic_4.6.2-6_amd64.deb
 34ef56a8c463bb0ca40d67766a5285467bf83bff 5686508 libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
 78eee734b402e226afdd73d8064856c5684600c3 358300 libgfortran3_4.6.2-6_amd64.deb
 74557db87d8e67bea4256086f2d153f45ddea202 803156 libgfortran3-dbg_4.6.2-6_amd64.deb
 e8dd18f428da3d5fdda598d38f1c010b5a8ea8f1 355866 lib32gfortran3_4.6.2-6_amd64.deb
 c11b0dc4a02320224f0f94281cc4cf763c4b375e 637730 lib32gfortran3-dbg_4.6.2-6_amd64.deb
 cb21f2fb36464f837a54b15731a230eb3d6a7544 405244 gfortran-4.6-multilib_4.6.2-6_amd64.deb
 e359be245fd473811bc30fbdfb96a06fb6d588ea 5561866 gfortran-4.6_4.6.2-6_amd64.deb
 10b758b1c11feb83101661318f486abeacc05dd3 2532636 gcc-4.6-multilib_4.6.2-6_amd64.deb
 b65d54dbc499dadb6f1be219beea316e506db3ce 840430 gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
 1e3bdf817bfaf927dfe87d9f95a6c2ce3747d0a3 7316778 gcc-4.6_4.6.2-6_amd64.deb
Checksums-Sha256: 
 8e5f0c9c2272a7e0e44c94d11300a1eb2cfe52a65668e9b3fe5c5481720f8c00 7207 gcc-4.6_4.6.2-6.dsc
 064dbd85851122c8e445e99e0c7c5e83923f3f145b06cf27acb34b24ed03e9ac 953144 gcc-4.6_4.6.2-6.diff.gz
 9ab2e58e316318b6a820e0e8b0b8759877ce790cd924b47f8f2714739d2c462a 57918182 gcc-4.6-source_4.6.2-6_all.deb
 7ae422f2ed08a9bd024fdf8362d828fa92f41b264e13656c46d1809b2de06a2d 3713220 libstdc++6-4.6-doc_4.6.2-6_all.deb
 bf2a09e2d6997988ccafb197ab733c15c697df8866fec7ccf818ee656307a277 2637240 gcc-4.6-locales_4.6.2-6_all.deb
 1bafa7ffc7d9d0b6e17433b6204b7521a504b7fd39fb44405d6164cfb13ab9a3 136892 gcc-4.6-base_4.6.2-6_amd64.deb
 6bfa2d0f6aaedfdf188810875da96fb02b7cebc12e6287102db4f58e0c111492 42920 libgcc1_4.6.2-6_amd64.deb
 f5ba4b166a1376708916ea3ab70c590203cc88b1cbd6a8afe5593f4b8ca8c4fe 92876 libgcc1-dbg_4.6.2-6_amd64.deb
 1d31547dfa33eb2f6dbe1e5af53e672aa66e74df7606173d512040ea75526a2c 54116 lib32gcc1_4.6.2-6_amd64.deb
 87143f92b5379274de0518704ff121d6163c7e6561cb72efe74722d06467765f 98326 lib32gcc1-dbg_4.6.2-6_amd64.deb
 7fc9e678aff338507f6a6d32a55cc4149bda1cf9c56500cf86092d39786a5176 126082 libquadmath0_4.6.2-6_amd64.deb
 89923002137fdf3dbaba46c63e5ef65ac3e9ed1d87a433ed94d08979aecd6e3b 149966 libquadmath0-dbg_4.6.2-6_amd64.deb
 d5b88ef54dfdbbba3d9ea7252236d309e4e28badfd2c317d398997c770b7b6d4 195282 lib32quadmath0_4.6.2-6_amd64.deb
 78a4275fc55bc11d742207db367ba0aa615285cf7555eb2a7ad0a5ef49e16e39 169418 lib32quadmath0-dbg_4.6.2-6_amd64.deb
 abb4e718ddc23bfe9698807706844c774957a29c24b8bb2683e371572f2b711a 25722 libgomp1_4.6.2-6_amd64.deb
 84453252bf5ebf0a138e0ba17c7a683a2683e966e1f12561dd3ea51022448fdc 62558 libgomp1-dbg_4.6.2-6_amd64.deb
 5cf5e6e35a1e5fdc7f25e6a1effb79fd59f35bb609ee415cb7df5210043ed8a7 28462 lib32gomp1_4.6.2-6_amd64.deb
 1aa277da7a31b81bc417f4ae1bb86b4112543385b0cfeb715bdc1fbd6782a4ed 62566 lib32gomp1-dbg_4.6.2-6_amd64.deb
 4103b44ce9f902884a058794800ec202686b1f487bea4f5eb4ea62244e20213c 4821482 cpp-4.6_4.6.2-6_amd64.deb
 c13ab4adef23d32acc443b9c8e374c8871b79af629dfc423ab99bdaa814053cf 65546 fixincludes_4.6.2-6_amd64.deb
 cd908d4724f195751b03688108bfac61fbf7a74af41f38a745b503022f175c16 218614 libmudflap0-4.6-dev_4.6.2-6_amd64.deb
 f492b6587a42fca48a7f869906cc97a60478375bb0ac479c8ddf57b65e3cdc20 97888 libmudflap0_4.6.2-6_amd64.deb
 2e2ac01d3f5371660d608e1929d85ecb2a46b18fac2e1ac6ead6eefe964ab50c 133438 libmudflap0-dbg_4.6.2-6_amd64.deb
 b723b8a81b52588ec99233f5142b8b0ae1bf6bae11fa545e5c90309dc126b8dd 88060 lib32mudflap0_4.6.2-6_amd64.deb
 82b8cd7f6e64b43925473fdb311ef5d1758d3893159586a92497891361a4ce08 118086 lib32mudflap0-dbg_4.6.2-6_amd64.deb
 4802aa4c7f27a64b759d34f743e37a11d81768d63477c35f390fbe7b2490abac 870 gobjc++-4.6-multilib_4.6.2-6_amd64.deb
 9c614a63a2b9a692698a69df95f47ff8658419bb2c4dca52fc9616b2c4c7b7ec 5171786 gobjc++-4.6_4.6.2-6_amd64.deb
 715340e8174c81fd641d24f6c2582bc704c182e17dbd23c1aec983ab845cae93 199736 gobjc-4.6-multilib_4.6.2-6_amd64.deb
 397a1a49845560194d7c19418eefb894a454bb00fd137965734ed1c93317494e 5026214 gobjc-4.6_4.6.2-6_amd64.deb
 90989335812b1e2baadf18f433417d118427e24b7b925598996f2f4dbd8c3d5f 184954 libobjc3_4.6.2-6_amd64.deb
 0f840852b74505d3aeac6576084cd312b8f2efb7ae5b90f9515a83a0d43687c5 361706 libobjc3-dbg_4.6.2-6_amd64.deb
 88ce8efb9bc181241c08003ae84ba2d0a780c9a5091ead624a792453c5d504f9 183330 lib32objc3_4.6.2-6_amd64.deb
 022dcb661393d1276427afac7ae0a064bc609d6a8cd8f538a37f71cd063f8ae2 331660 lib32objc3-dbg_4.6.2-6_amd64.deb
 3e9eb46d0eb929d81a8b5e4f77cd24974e1e1c4ef1c4102c045ac18318b1a9bb 2308780 libgo0_4.6.2-6_amd64.deb
 bc4e9f47733c5884ccd71e1f478decc1d09060596f5d246ba669fa7db80f6371 2047694 libgo0-dbg_4.6.2-6_amd64.deb
 be00be7d65b814d79b99b001d40c534cdcb793c321c3517dc8ef8d6327b7a196 2104504 lib32go0_4.6.2-6_amd64.deb
 6e580287e4399f8b7a5fbcd2c5acfc73ba5ddc4f2fbf7e564910475207d048e0 1574392 lib32go0-dbg_4.6.2-6_amd64.deb
 40d960fed899bb376513e9203397139a5c302dcc245d60b51a4a5f6781846d9b 8142138 gccgo-4.6_4.6.2-6_amd64.deb
 099793c8ad8863029a62469cb10dae0064fd4bab465f54f41aeaca75a9fdf29a 2802962 gccgo-4.6-multilib_4.6.2-6_amd64.deb
 15fd391b134dabbdfba275a221ff4b179f242e596ca655e4a7b8e7cc8d3308ad 1012826 g++-4.6-multilib_4.6.2-6_amd64.deb
 238bb39f923309474474f3cb0466754c4254629af308b19d04cccc066b058512 6962986 g++-4.6_4.6.2-6_amd64.deb
 77d80caefd9be922a2374a123e56ac2d2c93712d4034f4fa17d1f7f92657a55e 330534 libstdc++6_4.6.2-6_amd64.deb
 5fb0ad3bc281961fac708b711eaa9712b009839d3beab16d970907e93fa9e0a0 343464 lib32stdc++6_4.6.2-6_amd64.deb
 f3dba90648d01d6db73d3fee13cf630be216895f5e7eb42b0227901a35d88607 7960794 lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
 d2aa672807996b77535d93f66686f635c01838c881999453791b81100fa4ba7e 1661812 libstdc++6-4.6-dev_4.6.2-6_amd64.deb
 8948412378bdbb47daa8e4deee55241cfa9eeaedeffae00552628c2ada22633e 502804 libstdc++6-4.6-pic_4.6.2-6_amd64.deb
 2e728d9c9f746c44121ca529e0965052757c4287e6fdfcaeaf5c93148769ad83 5686508 libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
 f1181bcd6a0b48e72104e535aad217a01534f6bf70ab76804a752621fa3575e7 358300 libgfortran3_4.6.2-6_amd64.deb
 4bf85bcedfbe042fa7405521b947c74e6140fa88db1191c36c715924e3735aba 803156 libgfortran3-dbg_4.6.2-6_amd64.deb
 2a2492b311cb3b8e6c21cdb4d93ce0acb7a7eb98b99806a7ee9e6a31b1953e64 355866 lib32gfortran3_4.6.2-6_amd64.deb
 cd93ee499ae6fe80594dfe35d7d4accbc54dd60005a0b6da0c0c195a1bdff542 637730 lib32gfortran3-dbg_4.6.2-6_amd64.deb
 ad1a4067915806a696ca068d46c928f6b8bc5f4c95b8dee5a6eb76e42a1f1e44 405244 gfortran-4.6-multilib_4.6.2-6_amd64.deb
 688c2b05ffa4f66ce185f6d10eaeaaf4ed86d53de4bb0bcdee1c80696e079388 5561866 gfortran-4.6_4.6.2-6_amd64.deb
 3a6490fb0524560de51220423400e7662b6720e684633dc919c39d84273c0981 2532636 gcc-4.6-multilib_4.6.2-6_amd64.deb
 f1bd66cedb047653d83c32d1be8e8e53747ec9c351dce0dca9b49f28b9b7f282 840430 gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
 0b29f467e76be7ed01e2e2a5950f91218a67b537c53715479fd197fbc80d4e4d 7316778 gcc-4.6_4.6.2-6_amd64.deb
Files: 
 5b53517cc41f1d08a349570142d53a63 7207 devel optional gcc-4.6_4.6.2-6.dsc
 a6511630689285ce97efc545365c0439 953144 devel optional gcc-4.6_4.6.2-6.diff.gz
 b947996eee31f71bebd5c129d2526232 57918182 devel optional gcc-4.6-source_4.6.2-6_all.deb
 c7d515f01362bf3071501a38888c61b3 3713220 doc optional libstdc++6-4.6-doc_4.6.2-6_all.deb
 93246ac1f2b483c53693c315c5c43d60 2637240 devel optional gcc-4.6-locales_4.6.2-6_all.deb
 7d7f4241f742e4a4e0e3bd6c4ca3384c 136892 libs required gcc-4.6-base_4.6.2-6_amd64.deb
 06206d7b3c94fd0f140feb9a6cd79036 42920 libs required libgcc1_4.6.2-6_amd64.deb
 a45ea0ff17ad6e4464e344a68b572a6f 92876 debug extra libgcc1-dbg_4.6.2-6_amd64.deb
 a4dc7b0e6d35fbd75554149567a0b8ba 54116 libs extra lib32gcc1_4.6.2-6_amd64.deb
 e52d7406a052aac221d77ee54f530807 98326 debug extra lib32gcc1-dbg_4.6.2-6_amd64.deb
 9de12503a75f10e80ae797774aef726b 126082 libs optional libquadmath0_4.6.2-6_amd64.deb
 eb3073f59972ff7e65964f12ca0c60a6 149966 debug extra libquadmath0-dbg_4.6.2-6_amd64.deb
 bd7b8aa4b221244bcdb44ae284e780ac 195282 libs optional lib32quadmath0_4.6.2-6_amd64.deb
 87848159feceb8575f4b78d0895d6eab 169418 debug extra lib32quadmath0-dbg_4.6.2-6_amd64.deb
 03a89f50ebc25f540dfba9f4359f331b 25722 libs optional libgomp1_4.6.2-6_amd64.deb
 e18a303b7add5917b72c563ec0f3694a 62558 debug extra libgomp1-dbg_4.6.2-6_amd64.deb
 9e99cdf97257374d85a94ba63b604c7b 28462 libs optional lib32gomp1_4.6.2-6_amd64.deb
 1977767c25ae53fab555e11a228f1e0f 62566 debug extra lib32gomp1-dbg_4.6.2-6_amd64.deb
 7c5685ce6f0684f873b6f7a5e40d4d6d 4821482 interpreters optional cpp-4.6_4.6.2-6_amd64.deb
 d9a267caeb3959fe4e154e03021b2a76 65546 devel optional fixincludes_4.6.2-6_amd64.deb
 63d69347df4dd8bf213f4f8544c84ff1 218614 libdevel optional libmudflap0-4.6-dev_4.6.2-6_amd64.deb
 2687e31b54bfa0d288b56f4541301c4b 97888 libs optional libmudflap0_4.6.2-6_amd64.deb
 8ef41a7b680ffad8e9459bdc08d6eb6b 133438 debug extra libmudflap0-dbg_4.6.2-6_amd64.deb
 f47e5bf1a4dac7f8d23582cc28b472fb 88060 libs optional lib32mudflap0_4.6.2-6_amd64.deb
 4bc5624f9725c4ad41bd16b82d2a088c 118086 debug extra lib32mudflap0-dbg_4.6.2-6_amd64.deb
 44682a4edf67b5c673d996491abe2999 870 devel optional gobjc++-4.6-multilib_4.6.2-6_amd64.deb
 c04678dcc863e1dd59804349edea5f93 5171786 devel optional gobjc++-4.6_4.6.2-6_amd64.deb
 dd623b66d7bf7de6cd292f3e2a601c9b 199736 devel optional gobjc-4.6-multilib_4.6.2-6_amd64.deb
 323fbb35eecdd219274910c38ae3b939 5026214 devel optional gobjc-4.6_4.6.2-6_amd64.deb
 91f039e0ba297a800a076fbc3e1a8768 184954 libs optional libobjc3_4.6.2-6_amd64.deb
 7f11fa5d8d3feed88611b06a990a9bda 361706 debug extra libobjc3-dbg_4.6.2-6_amd64.deb
 9707a4a05e53f435f7cdb4bbdb4eaf3d 183330 libs optional lib32objc3_4.6.2-6_amd64.deb
 379bf4fa9c233249a558dc83c995b389 331660 debug extra lib32objc3-dbg_4.6.2-6_amd64.deb
 f7cf638c5eb2ae5fdd960bd4c9ec650c 2308780 libs optional libgo0_4.6.2-6_amd64.deb
 1e5fceb77f72265f95ca6ed7ece34549 2047694 debug extra libgo0-dbg_4.6.2-6_amd64.deb
 0da1c2d6958893ab8e5076c914368925 2104504 libs optional lib32go0_4.6.2-6_amd64.deb
 fa148cab375c23822dbdfa1a95fbb650 1574392 debug extra lib32go0-dbg_4.6.2-6_amd64.deb
 3df2457e946123315e4589f49110ad85 8142138 devel optional gccgo-4.6_4.6.2-6_amd64.deb
 abb64819c30c82906320ca6ca92dff2f 2802962 devel optional gccgo-4.6-multilib_4.6.2-6_amd64.deb
 5413f1000b4d85ad6234c9ed51867897 1012826 devel optional g++-4.6-multilib_4.6.2-6_amd64.deb
 1a91aa042a832bb2861c5e6451d812aa 6962986 devel optional g++-4.6_4.6.2-6_amd64.deb
 5f73d1cc4b92f3accba61959aec1636c 330534 libs required libstdc++6_4.6.2-6_amd64.deb
 2af7e602fe0064bc39d220eb09c0f90d 343464 libs extra lib32stdc++6_4.6.2-6_amd64.deb
 9580d16406605e1a2b3a080fcef4e8c5 7960794 debug extra lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
 56fa500a1d201006564d2a3ce4be115d 1661812 libdevel optional libstdc++6-4.6-dev_4.6.2-6_amd64.deb
 9520285986901d0d7d5e3a0c74a0e465 502804 libdevel extra libstdc++6-4.6-pic_4.6.2-6_amd64.deb
 2c283e7360b27d841f6f615b8d408dc9 5686508 debug extra libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
 5b444d7da84486cc545037a4f7b3681b 358300 libs optional libgfortran3_4.6.2-6_amd64.deb
 ecdf7cb3d0bcad1255c5ee8413b07b53 803156 debug extra libgfortran3-dbg_4.6.2-6_amd64.deb
 586e9027edf637a8926c05da4df6baee 355866 libs optional lib32gfortran3_4.6.2-6_amd64.deb
 252876ca4ce47349c058d7211b631093 637730 debug extra lib32gfortran3-dbg_4.6.2-6_amd64.deb
 6d60a1032ed696e63081e7fecbe98ad0 405244 devel optional gfortran-4.6-multilib_4.6.2-6_amd64.deb
 79c3e97b865426abfb43a9d967b1f3b4 5561866 devel optional gfortran-4.6_4.6.2-6_amd64.deb
 9dcc8f26e296913174c8d1b9d5e2e991 2532636 devel optional gcc-4.6-multilib_4.6.2-6_amd64.deb
 1e9da163e01287db4abe1faa0731bade 840430 devel optional gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
 253d957c25a00d377a148cad1be0b0e2 7316778 devel optional gcc-4.6_4.6.2-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7hUQIACgkQStlRaw+TLJxNrQCfW7oiyxNoS88+bZ7hNgCOCTBl
g5gAoKZrICUr2gBVppNlLH1GcoyGrwY6
=Cg1r
-----END PGP SIGNATURE-----





Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 09 Dec 2011 00:36:06 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 09 Dec 2011 00:36:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 07:43:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:52:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.